package com.fjhx.area.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 国家城市表
 * </p>
 *
 * @author
 * @since 2023-03-17
 */
@Getter
@Setter
@TableName("area_info")
public class AreaInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    private String id;

    /**
     * 父id
     */
    private String parentId;

    /**
     * 祖级列表
     */
    private String ancestors;

    /**
     * 英文名称
     */
    private String name;

    /**
     * 经度
     */
    private String lon;

    /**
     * 维度
     */
    private String lat;

    /**
     * 1国家 2州/省 3城市 4区县
     */
    private Integer type;

    /**
     * 中文名称
     */
    private String chineseName;

    /**
     * 英文简写
     */
    private String englishShort;

    /**
     * 国家图片
     */
    private String picturesPath;

    /**
     * 板块
     */
    private Integer plate;

}
