package com.fjhx.base.system;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.ruoyi.common.constant.BaseSourceConstant;
import com.ruoyi.system.domain.dto.SysUserMenuEditDto;
import com.ruoyi.system.domain.dto.SysUserMenuSelectDto;
import com.ruoyi.system.domain.vo.SysUserMenuVo;
import com.ruoyi.system.service.SysUserMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * 用户目录表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-03
 */
@DS(BaseSourceConstant.BASE)
@RestController
@RequestMapping("/sysUserMenu")
public class SysUserMenuController {

    @Autowired
    private SysUserMenuService sysUserMenuService;

    /**
     * 用户目录表列表
     */
    @PostMapping("/list")
    public List<SysUserMenuVo> page(@Validated @RequestBody SysUserMenuSelectDto dto) {
        return sysUserMenuService.getList(dto);
    }

    /**
     * 用户目录表编辑
     */
    @PostMapping("/edit")
    public void edit(@Validated @RequestBody SysUserMenuEditDto dto) {
        sysUserMenuService.edit(dto);
    }

}
