package com.fjhx.file.service;

import com.fjhx.file.entity.*;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 文件表 服务类
 * </p>
 *
 * @author
 * @since 2023-03-14
 */
public interface FileInfoService extends BaseService<FileInfo> {

    /**
     * 获取前端直传签名
     */
    SingVo getSing(SingDto dto);

    /**
     * 文件表列表
     */
    Map<Long, List<FileInfoVo>> getList(FileInfoSelectDto dto);

    /**
     * 保存文件
     *
     * @param obsFileList  文件列表
     * @param businessId   业务id
     * @param businessType 业务文件类型
     */
    void saveFile(List<ObsFile> obsFileList, Long businessId, Integer businessType);

    /**
     * 更新文件
     *
     * @param obsFileList  文件列表
     * @param businessId   业务id
     * @param businessType 业务文件类型
     */
    void editFile(List<ObsFile> obsFileList, Long businessId, Integer businessType);

    /**
     * 删除文件
     *
     * @param businessId   业务id
     * @param businessType 业务文件类型
     */
    void removeFile(Long businessId, Integer businessType);

    /**
     * 删除文件
     *
     * @param businessId 业务id
     */
    void removeFile(Long businessId);

}
