package com.fjhx.flow.config;

import com.fjhx.flow.core.FlowBean;
import com.fjhx.flow.core.FlowDelegate;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeansException;
import org.springframework.beans.factory.config.BeanPostProcessor;
import org.springframework.context.annotation.Configuration;

/**
 * 利用spring后置处理器注册流程委托对象
 */
@Slf4j
@Configuration
public class FlowBeanPostProcessor implements BeanPostProcessor {

    @Override
    public Object postProcessAfterInitialization(Object bean, String beanName) throws BeansException {

        if (bean instanceof FlowDelegate) {
            String flowKey = ((FlowDelegate) bean).getFlowKey();
            FlowBean.addBean(flowKey, beanName);
            log.info("流程Key：{} spring委托对象注册成功", flowKey);
        }

        return bean;
    }

}
