package com.fjhx.flow.controller.flow;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.flow.entity.flow.dto.FlowInfoDto;
import com.fjhx.flow.entity.flow.dto.FlowInfoSelectDto;
import com.fjhx.flow.entity.flow.po.FlowInfo;
import com.fjhx.flow.entity.flow.vo.FlowInfoVo;
import com.fjhx.flow.service.flow.FlowInfoService;
import com.ruoyi.common.constant.BaseSourceConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * 流程信息 前端控制器
 * </p>
 *
 * @author
 * @since 2023-03-15
 */
@DS(BaseSourceConstant.BASE)
@RestController
@RequestMapping("/flowInfo")
public class FlowInfoController {

    @Autowired
    private FlowInfoService flowInfoService;

    /**
     * 流程信息分页
     */
    @PostMapping("/page")
    public Page<FlowInfoVo> page(@RequestBody FlowInfoSelectDto dto) {
        return flowInfoService.getPage(dto);
    }

    /**
     * 流程信息新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody FlowInfoDto flowInfoDto) {
        flowInfoService.add(flowInfoDto);
    }

    /**
     * 流程信息编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody FlowInfoDto flowInfoDto) {
        flowInfoService.edit(flowInfoDto);
    }

    /**
     * 获取分类名称列表
     */
    @PostMapping("/getClassifyList")
    public List<String> getClassifyList() {
        return flowInfoService.getDistinctList(FlowInfo::getClassifyName);
    }

}
