package com.fjhx.flow.core;

import cn.hutool.extra.spring.SpringUtil;
import com.ruoyi.common.exception.ServiceException;

import java.util.HashMap;
import java.util.Map;

public class FlowBean {

    /**
     * 流程定义map
     */
    private static final Map<String, String> map = new HashMap<>();

    /**
     * 添加流程bean
     *
     * @param flowKey  流程标识
     * @param beanName springBean名称
     */
    public static void addBean(String flowKey, String beanName) {
        if (map.get(flowKey) != null) {
            throw new RuntimeException("流程key：" + flowKey + " 重复注册");
        }
        map.put(flowKey, beanName);
    }

    /**
     * 获取流程bean
     *
     * @param flowKey 流程bean
     * @return springBean
     */
    public static FlowDelegate getBean(String flowKey) {

        String beanName = map.get(flowKey);
        if (beanName == null) {
            throw new ServiceException("没有把Key为 " + flowKey + " 的流程委托对象注册到spring中");
        }

        return SpringUtil.getBean(beanName);
    }

}
