package com.fjhx.flow.entity.flow.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 流程定义
 * </p>
 *
 * @author
 * @since 2023-03-15
 */
@Getter
@Setter
@TableName("flow_definition")
public class FlowDefinition extends BaseIdPo {

    /**
     * 流程id
     */
    @NotNull(message = "流程id不能为空")
    private Long flowInfoId;

    /**
     * 流程标识
     */
    private String flowKey;

    /**
     * 标题模板
     */
    @NotBlank(message = "流程标题模板不能为空")
    private String titleTemplate;

    /**
     * 版本号
     */
    private Integer versionNumber;

    /**
     * 是否当前版本
     */
    private Integer currentVersion;

    private String nodeObject;

    private String lineObject;

    /**
     * 租户id
     */
    @NotBlank(message = "租户id不能为空")
    private String tenantId;

}
