package com.fjhx.flow.enums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum FlowStatusEnum {

    READY_START(0, "未发起"),
    IN_PROGRESS(1, "进行中"),
    PASS(2, "已通过"),
    REJECT(3, "已驳回"),
    ;

    private final Integer key;

    private final String value;

    private static final Map<Integer, FlowStatusEnum> map = new HashMap<>();

    static {
        for (FlowStatusEnum value : FlowStatusEnum.values()) {
            map.put(value.getKey(), value);
        }
    }

    public static FlowStatusEnum getEnum(Integer key) {
        FlowStatusEnum flowStatusEnum = map.get(key);
        if (flowStatusEnum == null) {
            throw new ServiceException("未知流程状态");
        }
        return flowStatusEnum;
    }

}
