package com.fjhx.flow.enums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum HandleObjectTypeEnum {

    USER(1, "用户"),
    DETP_LEADER(2, "部门负责人"),
    DEPT_DIRECTOR(3, "部门总监"),
    POST(4, "岗位"),
    ROLE(5, "角色"),
    ;

    private final Integer key;

    private final String value;

    private static final Map<Integer, HandleObjectTypeEnum> map = new HashMap<>();

    static {
        for (HandleObjectTypeEnum value : HandleObjectTypeEnum.values()) {
            map.put(value.getKey(), value);
        }
    }

    public static HandleObjectTypeEnum getEnum(Integer key) {
        HandleObjectTypeEnum handleObjectTypeEnum = map.get(key);
        if (handleObjectTypeEnum == null) {
            throw new ServiceException("未知处理人类型");
        }
        return handleObjectTypeEnum;
    }

}
