package com.fjhx.flow.enums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum NodeTypeEnum {

    START(1, "开始"),
    HANDLE(2, "办理"),
    BRANCH(3, "分支"),
    END(99, "结束"),
    ;

    private final Integer key;

    private final String value;

    private static final Map<Integer, NodeTypeEnum> map = new HashMap<>();

    static {
        for (NodeTypeEnum value : NodeTypeEnum.values()) {
            map.put(value.getKey(), value);
        }
    }

    public static NodeTypeEnum getEnum(Integer key) {
        NodeTypeEnum nodeTypeEnum = map.get(key);
        if (nodeTypeEnum == null) {
            throw new ServiceException("未知节点类型");
        }
        return nodeTypeEnum;
    }

}
