package com.fjhx.flow.service.flow;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.flow.entity.flow.dto.FlowDefinitionDto;
import com.fjhx.flow.entity.flow.dto.FlowDefinitionSelectDto;
import com.fjhx.flow.entity.flow.po.FlowDefinition;
import com.fjhx.flow.entity.flow.vo.FlowDefinitionPageVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 流程定义 服务类
 * </p>
 *
 * @author
 * @since 2023-03-15
 */
public interface FlowDefinitionService extends BaseService<FlowDefinition> {

    /**
     * 租户流程分页
     */
    Page<FlowDefinitionPageVo> getPage(FlowDefinitionSelectDto dto);

    /**
     * 添加租户流程
     */
    void add(FlowDefinition flowDefinition);

    /**
     * 添加租户流程版本
     */
    void addVersion(FlowDefinitionDto dto);

    /**
     * 修改流程版本
     */
    void updateVersion(Long flowDefinitionId);

    /**
     * 获取流程版本
     */
    List<FlowDefinition> getVersionList(FlowDefinition flowDefinition);

}
