package com.fjhx.flow.service.flow;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.flow.entity.flow.dto.FlowExampleSelectDto;
import com.fjhx.flow.entity.flow.dto.FlowNodeDto;
import com.fjhx.flow.entity.flow.po.FlowExample;
import com.fjhx.flow.entity.flow.po.FlowInfo;
import com.fjhx.flow.entity.flow.vo.ApprovalRecordVo;
import com.fjhx.flow.entity.flow.vo.FlowExampleVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 流程实例 服务类
 * </p>
 *
 * @author
 * @since 2023-03-16
 */
public interface FlowExampleService extends BaseService<FlowExample> {

    /**
     * 获取流程类型
     */
    List<FlowInfo> getFlowType();

    /**
     * 获取待处理流程实例
     */
    Page<FlowExampleVo> getToBeProcessedPage(FlowExampleSelectDto dto);

    /**
     * 获取已发起流程实例
     */
    Page<FlowExampleVo> getHaveInitiatedPage(FlowExampleSelectDto dto);

    /**
     * 获取已处理流程实例
     */
    Page<FlowExampleVo> getProcessedPage(FlowExampleSelectDto dto);

    /**
     * 获取审批记录
     */
    ApprovalRecordVo getApprovalRecord(Long id);

    /**
     * 获取流程分页列表
     */
    Page<FlowExampleVo> getPage(FlowExampleSelectDto dto);

    /**
     * 发起流程记录
     */
    List<ApprovalRecordVo.Record> getFlowNode(FlowNodeDto dto);

}
