package com.fjhx.flow.service.flow.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.flow.entity.flow.dto.FlowInfoDto;
import com.fjhx.flow.entity.flow.dto.FlowInfoSelectDto;
import com.fjhx.flow.entity.flow.po.FlowInfo;
import com.fjhx.flow.entity.flow.vo.FlowInfoVo;
import com.fjhx.flow.mapper.flow.FlowInfoMapper;
import com.fjhx.flow.service.flow.FlowInfoService;
import com.ruoyi.common.constant.StatusConstant;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.ruoyi.common.utils.wrapper.SqlField;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 流程信息 服务实现类
 * </p>
 *
 * @author
 * @since 2023-03-15
 */
@Service
public class FlowInfoServiceImpl extends ServiceImpl<FlowInfoMapper, FlowInfo> implements FlowInfoService {

    public Page<FlowInfoVo> getPage(FlowInfoSelectDto dto) {

        IWrapper<FlowInfo> wrapper = getWrapper();
        wrapper.eq("fi", FlowInfo::getClassifyName, dto.getClassifyName());
        wrapper.eq("fi", FlowInfo::getStatus, dto.getStatus());
        wrapper.keyword(dto, new SqlField("fi", FlowInfo::getFlowName), new SqlField("fi", FlowInfo::getFlowKey));
        wrapper.orderByDesc("fi", FlowInfo::getId);

        return this.baseMapper.getPage(dto.getPage(), wrapper);
    }

    public void add(FlowInfoDto flowInfoDto) {
        nameDuplication(FlowInfo::getFlowKey, flowInfoDto.getFlowKey(), "流程标识已存在");
        flowInfoDto.setStatus(StatusConstant.ENABLE);
        this.save(flowInfoDto);
    }

    public void edit(FlowInfoDto flowInfoDto) {
        flowInfoDto.setFlowKey(null);
        this.updateById(flowInfoDto);
    }

}
