package com.fjhx.kd100.service.config.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.kd100.entity.config.dto.ConfigInfoDto;
import com.fjhx.kd100.entity.config.dto.ConfigInfoSelectDto;
import com.fjhx.kd100.entity.config.po.ConfigInfo;
import com.fjhx.kd100.entity.config.vo.ConfigInfoVo;
import com.fjhx.kd100.mapper.config.ConfigInfoMapper;
import com.fjhx.kd100.service.config.ConfigInfoService;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 租户快递100账户配置 服务实现类
 * </p>
 *
 * @author
 * @since 2023-04-11
 */
@Service
public class ConfigInfoServiceImpl extends ServiceImpl<ConfigInfoMapper, ConfigInfo> implements ConfigInfoService {

    @Override
    public Page<ConfigInfoVo> getPage(ConfigInfoSelectDto dto) {
        IWrapper<ConfigInfo> wrapper = getWrapper();
        wrapper.orderByDesc("ci", ConfigInfo::getId);
        wrapper.eq("ci", ConfigInfo::getTenantId, dto.getTenantId());
        Page<ConfigInfoVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public ConfigInfoVo detail(Long id) {
        ConfigInfo ConfigInfo = this.getById(id);
        ConfigInfoVo result = BeanUtil.toBean(ConfigInfo, ConfigInfoVo.class);
        return result;
    }

    @Override
    public void add(ConfigInfoDto configInfoDto) {
        nameDuplication(ConfigInfo::getTenantId, configInfoDto.getTenantId(), "租户配置已存在");
        this.save(configInfoDto);
    }

    @Override
    public void edit(ConfigInfoDto configInfoDto) {
        configInfoDto.setTenantId(null);
        this.updateById(configInfoDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
