package com.fjhx.tenant.controller.dict;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.ruoyi.common.annotation.TenantIgnore;
import com.ruoyi.common.constant.BaseSourceConstant;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.tenant.entity.dict.vo.DictCommonDataVo;
import com.fjhx.tenant.entity.dict.dto.DictCommonDataSelectDto;
import com.fjhx.tenant.entity.dict.dto.DictCommonDataDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.tenant.service.dict.DictCommonDataService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 业务字典明细 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-03-30
 */
@TenantIgnore
@DS(BaseSourceConstant.BASE)
@RestController
@RequestMapping("/dictCommonData")
public class DictCommonDataController {

    @Autowired
    private DictCommonDataService dictCommonDataService;

    /**
     * 业务字典明细分页
     */
    @PostMapping("/page")
    public Page<DictCommonDataVo> page(@Validated @RequestBody DictCommonDataSelectDto dto) {
        return dictCommonDataService.getPage(dto);
    }

    /**
     * 业务字典明细明细
     */
    @PostMapping("/detail")
    public DictCommonDataVo detail(@RequestBody BaseSelectDto dto) {
        return dictCommonDataService.detail(dto.getId());
    }

    /**
     * 业务字典明细新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody DictCommonDataDto dictCommonDataDto) {
        dictCommonDataService.add(dictCommonDataDto);
    }

    /**
     * 业务字典明细编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody DictCommonDataDto dictCommonDataDto) {
        dictCommonDataService.edit(dictCommonDataDto);
    }

    /**
     * 业务字典明细删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        dictCommonDataService.delete(dto.getId());
    }

}
