package com.fjhx.tenant.controller.dict;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.tenant.entity.dict.dto.DictCommonTypeDto;
import com.fjhx.tenant.entity.dict.dto.DictCommonTypeSelectDto;
import com.fjhx.tenant.entity.dict.vo.DictCommonTypeVo;
import com.fjhx.tenant.service.dict.DictCommonTypeService;
import com.ruoyi.common.annotation.TenantIgnore;
import com.ruoyi.common.constant.BaseSourceConstant;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 业务字典 前端控制器
 * </p>
 *
 * @author
 * @since 2023-03-30
 */
@TenantIgnore
@DS(BaseSourceConstant.BASE)
@RestController
@RequestMapping("/dictCommonType")
public class DictCommonTypeController {

    @Autowired
    private DictCommonTypeService dictCommonTypeService;

    /**
     * 业务字典分页
     */
    @PostMapping("/page")
    public Page<DictCommonTypeVo> page(@RequestBody DictCommonTypeSelectDto dto) {
        return dictCommonTypeService.getPage(dto);
    }

    /**
     * 业务字典明细
     */
    @PostMapping("/detail")
    public DictCommonTypeVo detail(@RequestBody BaseSelectDto dto) {
        return dictCommonTypeService.detail(dto.getId());
    }

    /**
     * 业务字典新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody DictCommonTypeDto dictCommonTypeDto) {
        dictCommonTypeService.add(dictCommonTypeDto);
    }

    /**
     * 业务字典编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody DictCommonTypeDto dictCommonTypeDto) {
        dictCommonTypeService.edit(dictCommonTypeDto);
    }

    /**
     * 业务字典删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        dictCommonTypeService.delete(dto.getId());
    }

}
