package com.fjhx.tenant.controller.dict;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.tenant.entity.dict.dto.DictTenantDataDto;
import com.fjhx.tenant.entity.dict.dto.DictTenantDataSelectDto;
import com.fjhx.tenant.entity.dict.vo.DictTenantDataVo;
import com.fjhx.tenant.service.dict.DictTenantDataService;
import com.ruoyi.common.annotation.TenantIgnore;
import com.ruoyi.common.constant.BaseSourceConstant;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 租户字典明细 前端控制器
 * </p>
 *
 * @author
 * @since 2023-03-30
 */
@TenantIgnore
@DS(BaseSourceConstant.BASE)
@RestController
@RequestMapping("/dictTenantData")
public class DictTenantDataController {

    @Autowired
    private DictTenantDataService dictTenantDataService;

    /**
     * 租户字典明细分页
     */
    @PostMapping("/page")
    public Page<DictTenantDataVo> page(@Validated @RequestBody DictTenantDataSelectDto dto) {
        return dictTenantDataService.getPage(dto);
    }

    /**
     * 租户字典明细明细
     */
    @PostMapping("/detail")
    public DictTenantDataVo detail(@RequestBody BaseSelectDto dto) {
        return dictTenantDataService.detail(dto.getId());
    }

    /**
     * 租户字典明细新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody DictTenantDataDto dictTenantDataDto) {
        dictTenantDataService.add(dictTenantDataDto);
    }

    /**
     * 租户字典明细编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody DictTenantDataDto dictTenantDataDto) {
        dictTenantDataService.edit(dictTenantDataDto);
    }

    /**
     * 租户字典明细删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        dictTenantDataService.delete(dto.getId());
    }

}
