package com.fjhx.tenant.entity.dict.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * 业务字典明细
 * </p>
 *
 * @author
 * @since 2023-03-30
 */
@Getter
@Setter
@TableName("dict_common_data")
public class DictCommonData extends BasePo {

    /**
     * 字典编码
     */
    @NotBlank(message = "字典编码不能为空")
    private String dictCode;

    /**
     * key
     */
    @NotBlank(message = "key不能为空")
    private String dictKey;

    /**
     * value
     */
    @NotBlank(message = "value不能为空")
    private String dictValue;

    /**
     * 排序
     */
    private Integer sort;

}
