package com.fjhx.tenant.entity.dict.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * 租户字典明细
 * </p>
 *
 * @author 
 * @since 2023-03-30
 */
@Getter
@Setter
@TableName("dict_tenant_data")
public class DictTenantData extends BasePo {

    /**
     * 字典编码
     */
    @NotBlank(message = "字典编码不能为空")
    private String dictCode;

    /**
     * key
     */
    @NotBlank(message = "字典key不能为空")
    private String dictKey;

    /**
     * value
     */
    @NotBlank(message = "字典value不能为空")
    private String dictValue;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 租户id
     */
    @NotBlank(message = "租户id不能为空")
    private String tenantId;

}
