package com.fjhx.tenant.entity.dict.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 租户字典
 * </p>
 *
 * @author
 * @since 2023-03-30
 */
@Getter
@Setter
@TableName("dict_tenant_type")
public class DictTenantType extends BasePo {

    /**
     * 字典编码
     */
    @NotBlank(message = "字典编码不能为空")
    private String code;

    /**
     * 字典名称
     */
    @NotBlank(message = "字典编码名称")
    private String name;

    /**
     * 字典状态 0禁用 1启用
     */
    @NotNull(message = "字典状态不能为空")
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 租户id
     */
    private String tenantId;

}
