package com.fjhx.tenant.service.tenant;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.file.entity.FileInfoVo;
import com.fjhx.tenant.entity.tenant.dto.BindingMenuDto;
import com.fjhx.tenant.entity.tenant.dto.TenantInfoDto;
import com.fjhx.tenant.entity.tenant.dto.TenantInfoSelectDto;
import com.fjhx.tenant.entity.tenant.po.TenantInfo;
import com.fjhx.tenant.entity.tenant.vo.TenantInfoVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 租户表 服务类
 * </p>
 *
 * @author zlj
 * @since 2023-03-15
 */
public interface TenantInfoService extends BaseService<TenantInfo> {

    /**
     * 租户表列表
     */
    List<TenantInfo> getList(TenantInfoSelectDto dto);

    /**
     * 租户表分页
     */
    Page<TenantInfoVo> getPage(TenantInfoSelectDto dto);

    /**
     * 租户表明细
     */
    TenantInfoVo detail(Long id);

    /**
     * 租户表新增
     */
    void add(TenantInfoDto tenantInfoDto);

    /**
     * 租户表编辑
     */
    void edit(TenantInfoDto tenantInfoDto);

    /**
     * 租户表删除
     */
    void delete(Long id);

    /**
     * 绑定菜单
     */
    void bindingMenu(BindingMenuDto dto);

    /**
     * 编辑logo
     */
    void editLogo(TenantInfoDto tenantInfoDto);

    /**
     * 获取logo
     */
    List<FileInfoVo> getLogo();

}
