package com.ruoyi.common.utils.uuid;

import java.util.Random;

/**
 * ID生成器工具类
 *
 * @author ruoyi
 */
public class IdUtils {
    /**
     * 获取随机UUID
     *
     * @return 随机UUID
     */
    public static String randomUUID() {
        return UUID.randomUUID().toString();
    }

    /**
     * 简化的UUID，去掉了横线
     *
     * @return 简化的UUID，去掉了横线
     */
    public static String simpleUUID() {
        return UUID.randomUUID().toString(true);
    }

    /**
     * 获取随机UUID，使用性能更好的ThreadLocalRandom生成UUID
     *
     * @return 随机UUID
     */
    public static String fastUUID() {
        return UUID.fastUUID().toString();
    }

    /**
     * 简化的UUID，去掉了横线，使用性能更好的ThreadLocalRandom生成UUID
     *
     * @return 简化的UUID，去掉了横线
     */
    public static String fastSimpleUUID() {
        return UUID.fastUUID().toString(true);
    }

    /**
     * 生成19位数UUID
     * @return
     */
    public static Long gen19UUID() {
        String uuid1 = fastSimpleUUID();
        String uuid2 = fastSimpleUUID();
        Integer id1 = uuid1.hashCode();
        id1 = id1 < 0 ? -id1 : id1;
        Integer id2 = uuid2.hashCode();
        id2 = id2 < 0 ? -id2 : id2;
        uuid1 = String.valueOf(id1);
        uuid2 = String.valueOf(id2);
        String data = uuid1+uuid2+uuid1;
        data = data.substring(0,19);
        Long u = Long.valueOf(data);
        return u;
    }
}
