package com.ruoyi.framework.aspect;

import com.ruoyi.common.annotation.TenantIgnore;
import com.ruoyi.framework.mybatis.holder.TenantHolder;
import org.aspectj.lang.ProceedingJoinPoint;
import org.aspectj.lang.annotation.Around;
import org.aspectj.lang.annotation.Aspect;
import org.springframework.stereotype.Component;

/**
 * 租户切面
 */
@Aspect
@Component
public class TenantAspect {

    @Around("@annotation(tenantIgnore) || @within(tenantIgnore)")
    public Object around(ProceedingJoinPoint point, TenantIgnore tenantIgnore) throws Throwable {
        try {
            // 开启忽略
            TenantHolder.setIgnore(Boolean.TRUE);
            // 执行方法
            return point.proceed();
        } finally {
            // 关闭忽略
            TenantHolder.clear();
        }
    }

}
