package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.ruoyi.system.domain.SysUserMenu;
import com.ruoyi.system.domain.dto.SysUserMenuEditDto;
import com.ruoyi.system.domain.dto.SysUserMenuSelectDto;
import com.ruoyi.system.domain.vo.SysUserMenuVo;
import com.ruoyi.system.mapper.SysUserMenuMapper;
import com.ruoyi.system.service.SysUserMenuService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;


/**
 * <p>
 * 用户目录表 服务实现类
 * </p>
 *
 * @author
 * @since 2023-04-03
 */
@Service
public class SysUserMenuServiceImpl extends ServiceImpl<SysUserMenuMapper, SysUserMenu> implements SysUserMenuService {

    @Override
    public List<SysUserMenuVo> getList(SysUserMenuSelectDto dto) {
        IWrapper<SysUserMenu> wrapper = getWrapper();
        wrapper.eq("sum", SysUserMenu::getUserId, SecurityUtils.getUserId());
        wrapper.eq("sum", SysUserMenu::getType, dto.getType());
        wrapper.eq("sm.`status`", 0);
        return this.baseMapper.getList(wrapper);
    }

    @Override
    public void edit(SysUserMenuEditDto dto) {

        Integer type = dto.getType();
        List<Long> menuIdList = dto.getMenuIdList();
        Long userId = SecurityUtils.getUserId();

        remove(q -> q.eq(SysUserMenu::getUserId, userId).eq(SysUserMenu::getType, type));

        if (menuIdList.size() == 0) {
            return;
        }

        List<SysUserMenu> sysUserMenuList = menuIdList.stream().distinct().map(item -> {
            SysUserMenu sysUserMenu = new SysUserMenu();
            sysUserMenu.setMenuId(item);
            sysUserMenu.setUserId(userId);
            sysUserMenu.setType(type);
            return sysUserMenu;
        }).collect(Collectors.toList());

        saveBatch(sysUserMenuList);
    }

}
