package com.ruoyi.system.utils;

import cn.hutool.extra.spring.SpringUtil;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.system.service.ISysUserService;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.function.BiConsumer;
import java.util.function.Function;
import java.util.stream.Collectors;

public class UserUtil {

    private static final ISysUserService sysUserService = SpringUtil.getBean(ISysUserService.class);

    public static List<SysUser> getListByIds(List<Long> idList) {
        if (idList.size() == 0) {
            return new ArrayList<>();
        }
        return sysUserService.getListByUserId(idList);
    }

    public static Map<Long, SysUser> getMapByIds(List<Long> idList) {
        return getListByIds(idList).stream().collect(Collectors.toMap(SysUser::getUserId, Function.identity()));
    }

    public static Map<Long, String> getNickNameMapByIds(List<Long> idList) {
        if (idList.size() == 0) {
            new HashMap<>();
        }
        return getListByIds(idList).stream().collect(Collectors.toMap(SysUser::getUserId, SysUser::getNickName));
    }

    public static <T> void assignmentNickName(List<T> list, Function<T, Long> idMapper, BiConsumer<T, String> setNickNameMap) {
        if (list == null || list.size() == 0) {
            return;
        }
        List<Long> idList = list.stream().map(idMapper).collect(Collectors.toList());
        Map<Long, String> nickNameMapByIds = getNickNameMapByIds(idList);
        list.forEach(item -> setNickNameMap.accept(item, nickNameMapByIds.get(idMapper.apply(item))));
    }

}
